# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::BinaryFormat Class Reference

binary file format for addressbook entries. More...

`#include <binaryformat.h>`

Inheritance diagram for KABC::BinaryFormat:

[legend]
Collaboration diagram for KABC::BinaryFormat:

[legend]
List of all members.

## Public Member Functions

bool | load (Addressee &, QFile *file)
bool | loadAll (AddressBook *, Resource *, QFile *file)
void | save (const Addressee &, QFile *file)
void | saveAll (AddressBook *, Resource *, QFile *file)
bool | checkFormat (QFile *file) const

## Detailed Description

binary file format for addressbook entries.

Definition at line 33 of file binaryformat.h.

## Member Function Documentation

bool BinaryFormat::load | ( | Addressee & | ,
|  | QFile * | file
| ) | `[virtual]`

| Load single addressee from file. Implements KABC::FormatPlugin. Definition at line 47 of file binaryformat.cpp. References endl(), and kdDebug().

bool BinaryFormat::loadAll | ( | AddressBook * | ,
|  | Resource * | ,
|  | QFile * | file
| ) | `[virtual]`

| Load whole addressee from file. Implements KABC::FormatPlugin. Definition at line 60 of file binaryformat.cpp. References endl(), kdDebug(), KABC::Addressee::setChanged(), and KABC::Addressee::setResource().

void BinaryFormat::save | ( | const Addressee & | ,
|  | QFile * | file
| ) | `[virtual]`

| Save single addressee to file. Implements KABC::FormatPlugin. Definition at line 84 of file binaryformat.cpp. References endl(), and kdDebug().

void BinaryFormat::saveAll | ( | AddressBook * | ,
|  | Resource * | ,
|  | QFile * | file
| ) | `[virtual]`

| Save all addressees to file. Implements KABC::FormatPlugin. Definition at line 97 of file binaryformat.cpp. References QDataStream::device(), endl(), and kdDebug().

bool BinaryFormat::checkFormat | ( | QFile * | file | ) | const`[virtual]`

| Check for valid format of a file. Implements KABC::FormatPlugin. Definition at line 120 of file binaryformat.cpp. References endl(), and kdDebug().

The documentation for this class was generated from the following files:

- binaryformat.h
- binaryformat.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:47 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003